Subject: Re: bug#56793: Infinite loop in pure_alloc when dumping strings longer than 10K bytes

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Feb 2025 06:03:32 -0800

Pip Cet <[email-masked]> writes:

> On Wed, Jul 27, 2022 at 1:51 PM Lynn Winebarger <[email-masked]> wrote:
>> I apologize for not being able to include significant details of the build, as this is happening on a sandboxed system in a proprietary context.
>> I've been attempting to dump emacs built from the 28.1 tarball with a large
>> number of core libraries preloaded.  I have observed runaway allocation when
>> attempting to dump with native-compilation enabled and with native-compilation
>> disabled.
>
> I believe this is a duplicate of #46916, which was closed as WONTFIX.
> (https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46916) There's a patch
> there, IIRC.

Since purespace has been removed on master, I don't think there's
anything more to do here.

I'm therefore closing this bug report.